#pragma semicolon 1
#define DEFAULT_UPDATE_SETTING "3"
#define UPD_LIBFUNC
#define UPDATE_URL "http://ddhoward.com/sourcemod/updater/noTTS/noTTS.txt"
#define CONVAR_PREFIX "sm_noTTS"
#include <ddhoward_updater>
#pragma newdecls required;

public Plugin myinfo = {
	name = "[ANY] No TTS",
	author = "Derek D. Howard",
	description = "Blocks messages designed to trigger players' TTS bots.",
	version = "18.0902.0",
	url = "http://ddhoward.com/"
};

ConVar cvar_enabled;

public void OnPluginStart() {
	RegAdminCmd("sm_tts_toggle", OnUseCmd, ADMFLAG_GENERIC, "Toggles the ability for players to use !tts");
	cvar_enabled = CreateConVar("sm_noTTS", "1", "(0/1) If enabled, players cannot prefix messages with !tts", _, true, 0.0, true, 1.0);
}

public Action OnUseCmd(int iClient, int iArgCount) {
	cvar_enabled.BoolValue = !cvar_enabled.BoolValue;
	ShowActivity2(iClient, "[SM] ", "%s TTS bots.", cvar_enabled.BoolValue ? "Disabled" : "Enabled");
	return Plugin_Handled;
}

public Action OnClientSayCommand(int iClient, const char[] sCommand, const char[] sArgs) {
	if (cvar_enabled.BoolValue && StrContains(sArgs, "!tts", false) == 0 && !CheckCommandAccess(iClient, "sm_notts_bypass", ADMFLAG_GENERIC, true)) {
		PrintToChat(iClient, "!tts is currently disabled on this server.");
		return Plugin_Stop;
	}
	return Plugin_Continue;
}